﻿using Syncfusion.SfDataGrid.XForms;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Xamarin.Forms;

namespace XamarinForms
{
    public partial class SfDataPage : ContentPage
    {
        public SfDataPage()
        {
            InitializeComponent();

            dataGrid.CellRenderers.Remove("TextView");
            dataGrid.CellRenderers.Add("TextView", new GridCellTextViewRendererExt());

            Style style = new Style(typeof(GridCell));
            style.Setters.Add(new Setter() { Property = GridCell.ForegroundProperty, Value = new Binding("OrderID", BindingMode.TwoWay, new StyleConverter()) });
            dataGrid.Columns[0].CellStyle = style;
        }
        private void Button_Clicked(object sender, EventArgs e)
        {
            
        }
    }
}
